Index: ow/templates/base_anonymous.pt
===================================================================
--- ow/templates/base_anonymous.pt	(revision d1c4782c094cba6d591977ed76cd7ee9c9d8ae8a)
+++ ow/templates/base_anonymous.pt	(revision 2d2eb0d836841b69a7c9d4167d423bd523470832)
@@ -25,5 +25,5 @@
 
     <link rel="stylesheet"
-          href="${request.static_url('ow:static/css/main.min.css')}" />
+          href="${request.static_url('ow:static/css/main.css')}" />
 
   </head>
@@ -37,5 +37,5 @@
           <a href="#" tal:attributes="href request.resource_url(request.root)">
             <span class="logo-open">Open</span><span class="logo-work">work</span><span class="logo-outs">outs</span>
-        </a>
+          </a>
         </h1>
         <p class="description">tracking your workouts openly</p>
Index: ow/templates/dashboard.pt
===================================================================
--- ow/templates/dashboard.pt	(revision d1c4782c094cba6d591977ed76cd7ee9c9d8ae8a)
+++ ow/templates/dashboard.pt	(revision 2d2eb0d836841b69a7c9d4167d423bd523470832)
@@ -25,8 +25,6 @@
       <section class="workout-list">
 
-        <h2 tal:content="context.fullname"></h2>
-
         <h3>
-            (<tal:n tal:content="len(workouts)"></tal:n>/<tal:n tal:content="context.num_workouts"></tal:n>) <tal:t i18n:translate="">workouts</tal:t>
+           <tal:n tal:content="len(workouts)"></tal:n> <tal:t i18n:translate="">Activities</tal:t>
         </h3>
 
@@ -110,4 +108,16 @@
 
       <aside class="workout-aside">
+      <div class="aside-profile">
+        <tal:c tal:condition="getattr(context, 'picture', None)">
+          <img tal:attributes="src request.resource_path(context, 'picture')"
+               width="450" />
+        </tal:c>
+        <h2 tal:content="context.fullname"></h2>
+        <ul>
+          <Li>
+            <tal:n tal:content="context.num_workouts"></tal:n> <tal:t i18n:translate="">workouts</tal:t>
+          </Li>
+        </ul>
+      </div>
           <tal:activity_tree tal:condition="context.num_workouts > 0">
               <ul class="workout-activity-tree" tal:define="tree context.activity_dates_tree">
@@ -122,17 +132,10 @@
                               <tal:months tal:repeat="month sorted(tree[year].keys())">
                                   <li tal:define="is_viewing_month is_viewing_year and month == viewing_month">
-                                      <a href="" tal:content="month_name[month]"
+                                      <a href=""
                                          tal:attributes="href request.resource_url(context, query={'year': year, 'month': month});
                                                          class 'viewing-month' if is_viewing_month else ''">
+                                           <span tal:content="month_name[month]"></span>
+                                           <span tal:content="sum([tree[year][month][sport] for sport in tree[year][month]])"></span>
                                       </a>
-                                      <ul class="workout-activity-tree-month">
-                                          <tal:sports tal:repeat="sport sorted(tree[year][month].keys())">
-                                              <li>
-                                                  <a href="#">
-                                                      <tal:sport tal:content="sport"></tal:sport> (<tal:workouts tal:content="tree[year][month][sport]"></tal:workouts>)
-                                                  </a>
-                                              </li>
-                                          </tal:sports>
-                                      </ul>
                                   </li>
                               </tal:months>
Index: ow/templates/login.pt
===================================================================
--- ow/templates/login.pt	(revision d1c4782c094cba6d591977ed76cd7ee9c9d8ae8a)
+++ ow/templates/login.pt	(revision 2d2eb0d836841b69a7c9d4167d423bd523470832)
@@ -34,7 +34,9 @@
                      type="password" i18n:attributes="placeholder">
             </div>
-            <input class="button" type="submit" name="submit" value="Login">
+            <div>
+              <input class="button button-action" type="submit" name="submit" value="Login">
+            </div>
             <a class="login-remember" href="#" i18n:translate="">
-              Forgot your password?</a> |
+              Forgot your password?</a>
             <a class="join-now" href="" i18n:translate=""
                tal:attributes="href request.resource_url(context, 'signup')">
Index: ow/templates/signup.pt
===================================================================
--- ow/templates/signup.pt	(revision d1c4782c094cba6d591977ed76cd7ee9c9d8ae8a)
+++ ow/templates/signup.pt	(revision 2d2eb0d836841b69a7c9d4167d423bd523470832)
@@ -12,5 +12,5 @@
       <!-- Login -->
 
-      <div class="signup-content">
+      <div class="login-content">
 
         <form method="post" name="signup" action="">
@@ -57,5 +57,5 @@
           </fieldset>
 
-          <input class="button" type="submit" name="submit" value="Sign up!">
+          <input class="button button-action" type="submit" name="submit" value="Sign up!">
 
         </form>
